html {
    margin: 0;
    background-attachment: fixed;
    background-position: right bottom;
    background-repeat: no-repeat;
    background-color: var(--bg-main);
}

body {
    color: var(--fg-main);
    margin-top: 0;
    line-height: 1.4rem;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
}
body #content {
    padding-top: 2em;
    margin: auto;
    max-width: 48em;
    background-color: var(--bg-main);
}

body #support {
    position: absolute;
    top:0;
    display:block;
    font-size: 10pt;
    right:0pt;
    text-align: right;
    padding: .2em 1em;
    background: #EEE;
}

body .title {
    margin-left: 0px;
    font-size: 2.5em;
    line-height: 1.2em;
}

#preamble {
    background-color: var(--bg-mode-line-inactive);
    color: var(--fg-mode-line-inactive);
    border: 1px solid var(--border-mode-line-inactive);
    display: flex;
    justify-content: center; /* Centers horizontally */
    align-items: center;     /* Centers vertically */
    margin-left: 10px;
    margin-right: 10px;
    margin-top: 10px;
    padding: .2em;
}

#table-of-contents {
    background: var(--bg-prose-block-contents);
    border: 1px solid var(--border-mode-line-active);
    max-height: 80%;
    overflow: auto;
    padding: .2em;
    cursor: pointer;
}

#table-of-contents h2 {
    border: 0;
    color: var(--fg-heading-0);
    text-align: center;
    margin: 8px;
    padding: 0px;
}

#table-of-contents h2::before {
    content: '▸ ';
    display: inline-block;
    margin-right: 0.5em;
}

#table-of-contents.show h2::before {
    content: '▾ ';
}

.outline-2 > h2,
.outline-3 > h3,
.outline-4 > h4,
.outline-5 > h5,
.outline-6 > h6 {
    cursor: pointer;
}

.outline-2 > h2::before,
.outline-3 > h3::before,
.outline-4 > h4::before,
.outline-5 > h5::before,
.outline-6 > h6::before {
    content: '▾ ';
    display: inline-block;
    margin-right: 0.5em;
}

.outline-2.folded > h2::before,
.outline-3.folded > h3::before,
.outline-4.folded > h4::before,
.outline-5.folded > h5::before,
.outline-6.folded > h6::before {
    content: '▸ ';
}

.outline-2.folded > .outline-text-2,
.outline-2.folded > .outline-3,
.outline-3.folded > .outline-text-3,
.outline-3.folded > .outline-4,
.outline-4.folded > .outline-text-4,
.outline-4.folded > .outline-5,
.outline-5.folded > .outline-text-5,
.outline-5.folded > .outline-6,
.outline-6.folded > .outline-text-6 {
    display: none;
}

#table-of-contents #text-table-of-contents {
    display: none;
    text-align: left;
}

#table-of-contents.show #text-table-of-contents {
    display: block;
}

#license {
    background-color: var(--fg-region);
    padding-top: 2px 0;
}

.footpara:first-of-type {
    display:inline;
}

.outline-text-2 {
    margin-left: 0.1em
}

.outline-text-3 {
    margin-left: 0.9em;
}

.outline-text-4 {
    margin-left: 1.45em;
}

h3 {
    color: var(--fg-heading-3);
    margin-left: 0.6em;
}

h4 {
    color: var(--fg-heading-4);
    margin-left: 1.2em;
}

h1 {
    color: var(--fg-heading-1);
    margin-bottom: 1em;
    margin-right: 7%;
}

h2 {
    color: var(--fg-heading-2);
    border-bottom: 1px solid #ddd;
    margin-top: 1.5em;
    padding-bottom: 8px;
}

a {
    color: var(--fg-link);
    font-weight: 400;
    text-decoration: underline var(--underline-link);
}
a:visited {
    color:  var(--fg-link-visited);
    font-weight: 400;
    text-decoration: underline var(--underline-link-visited);
}
a:hover {
    color: var(--fg-link-symbolic);
    text-decoration: underline var(--fg-link-symbolic);
}

.todo {
    color: var(--prose-todo);
}

.done {
    color: var(--prose-done);
}

.timestamp-kwd {
    color: var(--date-common);
}

.tag {

}

li {
    margin: .4em;
}

dt {
    margin: .4rem 0 .4rem 0;
}

table {
    border: 0;
}

thead {
    border: 0;
}

tbody {
    border: 0;
}

tr {
    border: 0;
}

td {
    border-left: 0px;
    border-right: 0px;
    border-top: 0px;
    border-bottom: 0px;
}

th {
    border-left: 0px;
    border-right: 0px;
    border-top: 1px solid var(--border);
    border-bottom: 1px solid var(--border);
}

code {
    font-size: 0.9rem;
    color: var(--fg-alt);
    padding: 0px 0.2em;
}

img {
    border: 0;
    max-width: 100%;
    height: auto;
}

.share img {
    opacity: .4;
    -moz-opacity: .4;
    filter: alpha(opacity=40);
}

.share img:hover {
    opacity: 1;
    -moz-opacity: 1;
    filter: alpha(opacity=100);
}

pre {
    font-family: "SF Mono", monospace;
    color: var(--fg-main);
    font-size: 90%;
    padding: 0.5em;
    overflow: auto;
    border: none;
    background-color: var(--bg-dim);
}

.builtin {
    color: var(--builtin);
}

.comment {
    color: var(--comment);
}

.comment-delimiter {
    color: var(--delimiter);
}

.constant {
    color: var(--constant);
}

.doc {
    color: var(--docmarkup);
}

.function-name {
    color: var(--fnname);
}

.headline {
    color: var(--fg-heading-0);
    background-color: var(--bg-main);
    font-weight: bold;
}

.blindtext {
    color: #aaaaaa;
}	

.infobox, .highlightbox, .warningbox {
    clear:both;
    padding:0.5em;
    margin-left: 1em;
    margin-right: 1em;
    min-width: fit-content;
}

.infobox {
    background-color: #f3f3f3;
}

.highlightbox {
    font-size: 120%;
    color: var(--fg-mark);
}

.warningbox, .inlinetask {
    color: var(--fg-prominent-warning);
    background-color: var(--bg-prominent-warning);
}

.infobox p, .warningbox p {
    margin:0em;
    margin-left:0.7em;
    padding:0em;
}

.infobox::before, .warningbox::before {
    content: "";
    display: inline-block;
    float: left;
    margin: 0em 0.5em 0em 0em;
    vertical-align: top;
    width: 1.7em;
    height: 1.7em;
    padding: 0.4em;
    background-size: cover;
}

.infobox::before {
    background-image: url('/worg/images/icons/info.svg');
}

.warningbox::before {
    background-image: url('/worg/images/icons/warning.svg');
}

.minipage {
    width: inherit;
    border:1px solid var(--border);
    padding:0.5em;
    margin-left:auto;
    margin-right:auto;
}

.inlinetask {
    clear:both;
    padding:0.5em;
    margin-left: 1em;
    margin-right: 1em;
    background-color: #fcf2f2;
    min-width: fit-content;
}
.inlinetask::before {
    content: "";
    display: inline-block;
    vertical-align: top;
    width: 1.3em;
    height: 1.3em;
}

.keyword {
    color: var(--keyword);
}

.string {
    color: var(--string);
}

.subtitle {
    font-size: 1.5em;
    font-style: italic;
}

.todo-comment {
    color: var(--prose-todo);
    background-color: var(--bg-main);
    font-weight: bold;
}

.variable-name {
    color: var(--variable);
}

.warning {
    color: var(--fg-prominent-warning);
    background-color: var(--bg-prominent-warning);
    font-weight: bold;
}

pre.a {
    color: inherit;
    background-color: inherit;
    font: inherit;
    text-decoration: inherit;
}

pre.a:hover {
    text-decoration: underline;
}

.org-info-js_info-navigation
{
    border-style:none;
}

#org-info-js_console-label
{
    font-size:10px;
    font-weight:bold;
    white-space:nowrap;
}

.org-info-js_search-highlight
{
    background-color: var(--bg-main);
    color: var(--fg-alt);
    font-weight:bold;
}

#org-info-js-window
{
    border-bottom:1px solid var(--border);
    padding-bottom:10px;
    margin-bottom:10px;
}

.org-info-search-highlight
{
    background-color: var(--search-lazy);
    color: var(--fg-main);
    font-weight:bold;
}

.org-bbdb-company {
    font-style: italic;
}

.org-bbdb-name {
    text-decoration: underline;
}

.org-bold {
    font-weight: bold;
}

.org-bold-italic {
    font-weight: bold;
    font-style: italic;
}

.org-border {
    background-color: var(--border);
}

.org-buffer-menu-buffer {
    font-weight: bold;
}

.org-builtin {
    color: var(--builtin);
}

.org-button {
    text-decoration: underline;
}

.org-c-nonbreakable-space {
    background-color: var(--err);
    font-weight: bold;
}

.org-calendar-today {
    text-decoration: underline;
}

.org-center {
    text-align: center;
    margin-top: 1em;
    margin-bottom: 1em;
    padding-top: 0.2em;
    padding-bottom: 0.2em;
}

.org-comment {
    color: var(--comment);
}

.org-comment-delimiter {
    color: var(--delimiter);
}

.org-constant {
    color: var(--constant);
}

.org-cursor {
    background-color: var(--cursor);
}

.org-default {
    color: var(--fg-main);
    background-color: var(--bg-main);
}

.org-diary {
    color: var(--fg-alt);
}

.org-doc {
    color: var(--docstring);
}

.org-escape-glyph {
    color: var(--err);
}

.org-file-name-shadow {
    color: var(--border);
}

.org-fringe {
    background-color: var(--bg-dim);
}

.org-function-name {
    color: var(--fnname);
}

.org-header-line {
    color: var(--fg-alt);
    background-color: var(--bg-main);
}

.org-help-argument-name {
    font-style: italic;
}

.org-highlight {
    background-color: var(--bg-mark-select);
    color: var(--fg-mark-select)
}

.org-holiday {
    background-color: var(--date-holiday);
}

.org-info-header-node {
    color: var(--info);
    font-weight: bold;
    font-style: italic;
}

.org-info-header-xref {
    color: var(--fg-link);
    text-decoration: underline;
}

.org-info-menu-header {
    font-weight: bold;
}

.org-info-menu-star {
    color: var();
}

.org-info-node {
    color: var(--accent-0);
    font-weight: bold;
    font-style: italic;
}

.org-info-title-1 {
    font-size: 172%;
    font-weight: bold;
}

.org-info-title-2 {
    font-size: 144%;
    font-weight: bold;
}

.org-info-title-3 {
    font-size: 120%;
    font-weight: bold;
}

.org-info-title-4 {
    font-weight: bold;
}

.org-info-xref {
    color: var(--fg-link);
    text-decoration: underline;
}

.org-isearch {
    color: var(--fg-main);
    background-color: var(--bg-search-lazy);
}

.org-italic {
    font-style: italic;
}

.org-keyword {
    color: var(--keyword);
}

.org-lazy-highlight {
    background-color: var(--bg-search-lazy);
}

.org-link {
    color: var(--fg-link);
    text-decoration: underline;
}

.org-link-visited {
    color: var(--fg-link-visited);
    text-decoration: underline;
}

.org-match {
    background-color: var(--bg-mark-other);
}

.org-message-cited-text {
    color: var(--mail-cite-0);
}

.org-message-header-cc {
    color: var(--accent-1);
}

.org-message-header-name {
    color: var(--fg-heading-0);
}

.org-message-header-newsgroups {
    color: var(--fg-heading-1);
    font-weight: bold;
    font-style: italic;
}

.org-message-header-other {
    color: var(--fg-heading-3);
}

.org-message-header-subject {
    color: var(--fg-heading-4);
    font-weight: bold;
}

.org-message-header-to {
    color: var(--fg-heading-5);
    font-weight: bold;
}

.org-message-header-xheader {
    color: var(--fg-heading-6);
}

.org-mode-line-buffer-id {
    font-weight: bold;
}

.org-org-done {
    color: var(--prose-done);
    font-weight: bold;
}

.org-org-formula {
    color: var(--prose-table-formula);
}

.org-org-headline-done {
    color: var(--prose-done);
}

.org-org-tag {
    font-weight: bold;
}

.org-org-target {
    text-decoration: underline;
}

label.org-src-name {
    font-size: 80%;
    font-style: italic;
}

#show_source {
    margin: 0;
    padding: 0;
}

#postamble {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 75%;
    margin-left: 10px;
    margin-right: 10px;
    margin-top: 10px;
    padding: .2em;
    background-color: var(--bg-mode-line-inactive);
    color: var(--fg-mode-line-inactive);
    border: 1px solid var(--border-mode-line-inactive);
    z-index: -1000;
}
